<?php

require('modPukiWiki/PukiWiki.php');

class NP_PukiWiki extends NucleusPlugin
{
	// name of plugin
	function getName()
	{	
		return 'PukiWiki for Nucleus';
	}

	// author of plugin
	function getAuthor()
	{
		return 'cuckoo';
	}

	// an URL to the plugin website
	// can also be of the form mailto:foo@bar.com
	function getURL()
	{
		return 'http://yadorigi.seesaa.net/';
	}

	// version of the plugin
	function getVersion()
	{	
		return '1.0';
	}

	// a description to be shown on the installed plugins listing
	function getDescription()
	{
		return 'Add wiki features to Nucleus using modPukiWiki.';
	}

	function supportsFeature($what)
	{
		switch($what)
		{
			case 'SqlTablePrefix':
				return 1;
			default:
				return 0;
		}
	}

	function getEventList()
	{
		return array('PreItem');
	}

	function event_PreItem(&$data)
	{
		$this->currentItem = &$data["item"];
		$this->convert_wikitag($this->currentItem->body);
		if($this->currentItem->more)
			$this->convert_wikitag($this->currentItem->more);
	}

	function convert_wikitag(&$text)
	{
		static $render;
		if (!is_object($render))
			$render = &new PukiWikiRender('nucleus');
		$text = removeBreaks($text);
		PukiWikiConfig::setParam('line_break', 1);
		PukiWikiConfig::setParam('link_target', '');
		$text = $render->transform($text);
	}
}
?>
